rte_flow_item_vxlan_gpe(3)

NAME
rte_flow_item_vxlan_gpe

SYNOPSIS

#include <rte_flow.h>

Detailed Description

Deprecated

See also
    rte_flow_item_vxlan

RTE_FLOW_ITEM_TYPE_VXLAN_GPE (draft-ietf-nvo3-vxlan-gpe-05).

Matches a VXLAN-GPE header.

Definition at line 1360 of file rte_flow.h.

Field Documentation

  uint8_t flags
Normally 0x0c (I and P flags).

Definition at line 1367 of file rte_flow.h.

  uint8_t rsvd0[2]
Reserved, normally 0x0000.

Definition at line 1368 of file rte_flow.h.

  uint8_t protocol
Protocol type.

Definition at line 1369 of file rte_flow.h.

  uint8_t vni[3]
VXLAN identifier.

Definition at line 1370 of file rte_flow.h.

  uint8_t rsvd1
Reserved, normally 0x00.

Definition at line 1371 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.